import 'package:flutter/material.dart';

const lightColorScheme = ColorScheme(
  brightness: Brightness.light,
  primary: Color(0xFFA93054),
  onPrimary: Color(0xFFFFFFFF),
  primaryContainer: Color(0xFFFFD9DF),
  onPrimaryContainer: Color(0xFF3F0016),
  secondary: Color(0xFF75565C),
  onSecondary: Color(0xFFFFFFFF),
  secondaryContainer: Color(0xFFFFD9DF),
  onSecondaryContainer: Color(0xFF2B151A),
  tertiary: Color(0xFF7A5732),
  onTertiary: Color(0xFFFFFFFF),
  tertiaryContainer: Color(0xFFFFDCBC),
  onTertiaryContainer: Color(0xFF2C1700),
  error: Color(0xFFBA1A1A),
  errorContainer: Color(0xFFFFDAD6),
  onError: Color(0xFFFFFFFF),
  onErrorContainer: Color(0xFF410002),
  background: Color(0xFFFFFBFF),
  onBackground: Color(0xFF201A1B),
  surface: Color(0xFFFFFBFF),
  onSurface: Color(0xFF201A1B),
  surfaceVariant: Color(0xFFF3DDE0),
  onSurfaceVariant: Color(0xFF524345),
  outline: Color(0xFF847375),
  onInverseSurface: Color(0xFFFAEEEE),
  inverseSurface: Color(0xFF362F30),
  inversePrimary: Color(0xFFFFB1C0),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFFA93054),
);

const darkColorScheme = ColorScheme(
  brightness: Brightness.dark,
  primary: Color(0xFFFFB1C0),
  onPrimary: Color(0xFF660028),
  primaryContainer: Color(0xFF89153D),
  onPrimaryContainer: Color(0xFFFFD9DF),
  secondary: Color(0xFFE4BDC3),
  onSecondary: Color(0xFF43292E),
  secondaryContainer: Color(0xFF5C3F44),
  onSecondaryContainer: Color(0xFFFFD9DF),
  tertiary: Color(0xFFECBE90),
  onTertiary: Color(0xFF462A08),
  tertiaryContainer: Color(0xFF5F401D),
  onTertiaryContainer: Color(0xFFFFDCBC),
  error: Color(0xFFFFB4AB),
  errorContainer: Color(0xFF93000A),
  onError: Color(0xFF690005),
  onErrorContainer: Color(0xFFFFDAD6),
  background: Color(0xFF201A1B),
  onBackground: Color(0xFFECE0E0),
  surface: Color(0xFF201A1B),
  onSurface: Color(0xFFECE0E0),
  surfaceVariant: Color(0xFF524345),
  onSurfaceVariant: Color(0xFFD6C2C4),
  outline: Color(0xFF9F8C8F),
  onInverseSurface: Color(0xFF201A1B),
  inverseSurface: Color(0xFFECE0E0),
  inversePrimary: Color(0xFFA93054),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFFFFB1C0),
);
